Subject: Re: [PATCH 01/20] t: mark a bunch of tests as leak-free

From: Junio C Hamano <[email-masked]>
Date: Fri, 24 May 2024 09:05:03 -0700

Patrick Steinhardt <[email-masked]> writes:

> Hum. Both of these skip a bunch of tests due to a missing TTY prereq on
> my system. So I guess it's not a regression, just me missing test
> coverage. And seemingly, the same applies to our CI systems because the
> pipeline is green there.
>
> And indeed, the TTY prerequisite fails due a totally unrelated error:
>
>     Can't locate IO/Pty.pm in @INC
>
> I'll fix this locally and in our CI setup.

Do you mean that you'll make IO::Pty available locally and in the CI
setup, which will start revealing the existing leaks in these tests?

So do we expect this step to be adjusted, not to mark these two
tests as leak-free (yet)?

> Ideally, we'd also make this thing more robust going forward, but
> I'll leave that for a future iteraiton.

--- >8 ---
Subject: ci: make IO::Pty available

When t/test-terminal.perl, which requires IO::Pty (and File::Copy,
but that comes standard with perl-modules?), does not work, the
tests with TTY prerequisite are skipped.

Make sure it is available in the CI environment.

Signed-off-by: Junio C Hamano <[email-masked]>
---
 ci/install-dependencies.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git c/ci/install-dependencies.sh w/ci/install-dependencies.sh
index 2e7688ae8b..b24c91a30f 100755
--- c/ci/install-dependencies.sh
+++ w/ci/install-dependencies.sh
@@ -42,7 +42,7 @@ ubuntu-*)
 		language-pack-is libsvn-perl apache2 cvs cvsps git gnupg subversion \
 		make libssl-dev libcurl4-openssl-dev libexpat-dev wget sudo default-jre \
 		tcl tk gettext zlib1g-dev perl-modules liberror-perl libauthen-sasl-perl \
-		libemail-valid-perl libio-socket-ssl-perl libnet-smtp-ssl-perl libdbd-sqlite3-perl libcgi-pm-perl \
+		libemail-valid-perl libio-socket-ssl-perl libnet-smtp-ssl-perl libdbd-sqlite3-perl libcgi-pm-perl libio-pty-perl \
 		${CC_PACKAGE:-${CC:-gcc}} $PYTHON_PACKAGE
 
 	mkdir --parents "$CUSTOM_PATH"